## org.apache.mahout.classifier.bayes.mapreduce.common
Class FeaturePartitioner

    java.lang.Object
      org.apache.mahout.classifier.bayes.mapreduce.common.FeaturePartitioner

All Implemented Interfaces:
  org.apache.hadoop.mapred.JobConfigurable, org.apache.hadoop.mapred.Partitioner<StringTuple,org.apache.hadoop.io.DoubleWritable>

    public class FeaturePartitioner

extends java.lang.Object
implements org.apache.hadoop.mapred.Partitioner<StringTuple,org.apache.hadoop.io.DoubleWritable>

ensure that features all make it into the same partition.

Constructor Summary
`FeaturePartitioner()`

Method Summary
`void` `configure(org.apache.hadoop.mapred.JobConf job)`
`int` `getPartition(StringTuple key, org.apache.hadoop.io.DoubleWritable value, int numPartitions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeaturePartitioner

    public FeaturePartitioner()

Method Detail

### getPartition

    public int getPartition(StringTuple key,
                            org.apache.hadoop.io.DoubleWritable value,
                            int numPartitions)

  Specified by:
    `getPartition` in interface `org.apache.hadoop.mapred.Partitioner<StringTuple,org.apache.hadoop.io.DoubleWritable>`

### configure

    public void configure(org.apache.hadoop.mapred.JobConf job)

  Specified by:
    `configure` in interface `org.apache.hadoop.mapred.JobConfigurable`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.